Bug 1796718 - [ovn] don't spam the database logs with failed SSL connects
Summary: [ovn] don't spam the database logs with failed SSL connects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Ben Bennett
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 04:00 UTC by Dan Williams
Modified: 2020-05-04 11:28 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 461 0 None closed Bug 1796718: ovn: use ovs-appctl ovsdb-server/sync-status for NB/SB DB readiness 2020-08-18 17:24:41 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:28:51 UTC

Description Dan Williams 2020-01-31 04:00:26 UTC
Instead of using a TCP readiness probe with makes the ovsdb-server complain, use something it likes.

Comment 2 zhaozhanqi 2020-02-03 02:35:12 UTC
@ross, could you help verify this bug, thanks

Comment 3 Ross Brattain 2020-02-04 23:17:44 UTC
I observed fewer ssl "connection attempt failed" log lines in ovnkube-master northd containers on builds 4.4.0-0.nightly-2020-02-04-122053 and 4.4.0-0.nightly-2020-02-03-110037 with the new readiness probe.

Verified

Comment 5 errata-xmlrpc 2020-05-04 11:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.